Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Community Member

UCCX upgrade problem

I've a problem upgrading from UCCX version 10.0(1)SU1 to 10.5

 

I got this log:

10/31/2014 19:10:29 preflight|Execute preflight command (6/7): cp -f /common/preflight/CM/RU/install-confirm-content.jsp /usr/local/thirdparty/jakarta-tomcat/webapps/cmplatform/WEB-INF/pages/install/install-confirm-content.jsp|<LVL::Debug>
10/31/2014 19:10:29 preflight|Preflight command returns 0|<LVL::Debug>
10/31/2014 19:10:29 preflight|Execute preflight command (7/7): rm -rf /common/preflight/CM/RU|<LVL::Debug>
10/31/2014 19:10:29 preflight|Preflight command returns 0|<LVL::Debug>
10/31/2014 19:10:29 refresh_upgrade|IOWAIT monitor stopped|<LVL::Info>
10/31/2014 19:10:29 refresh_upgrade|Cleanup support directory|<LVL::Info>
10/31/2014 19:10:29 refresh_upgrade|Unmount /common/mnt/updates_img|<LVL::Debug>
10/31/2014 19:10:29 refresh_upgrade|Cleanup mounted DVD or ISO|<LVL::Info>
10/31/2014 19:10:29 refresh_upgrade|Found mount point "/mnt/source" for source filesystem /dev/hdc|<LVL::Debug>
10/31/2014 19:10:29 refresh_upgrade|Unmount /mnt/source|<LVL::Debug>
10/31/2014 19:10:30 refresh_upgrade|Ejecting DVD (/dev/hdc)|<LVL::Debug>
10/31/2014 19:10:30 upgrade_install.sh|Cleaning up download...|<LVL::Info>
10/31/2014 19:10:30 upgrade_install.sh|Cleanup upgrade source area.|<LVL::Info>
10/31/2014 19:10:30 upgrade_install.sh|Ejecting DVD (/dev/sda2)|<LVL::Debug>
10/31/2014 19:10:30 upgrade_install.sh|Removing /common/download/10.5.1.10000-24|<LVL::Info>
10/31/2014 19:10:30 upgrade_install.sh|Removing /common/cisco_base|<LVL::Info>
10/31/2014 19:10:30 upgrade_install.sh|Started auditd...|<LVL::Info>
10/31/2014 19:10:31 upgrade_install.sh|Started setroubleshoot...|<LVL::Info>
10/31/2014 19:10:31 upgrade_install.sh|Changed selinux mode to enforcing|<LVL::Info>
10/31/2014 19:10:31 upgrade_install.sh|Cleaning up rpm_archive...|<LVL::Info>
10/31/2014 19:10:31 upgrade_install.sh|Removing /common/rpm-archive/10.5.1.10000-24|<LVL::Info>
10/31/2014 19:10:31 upgrade_install.sh|IOWAIT monitor stopped|<LVL::Info>
10/31/2014 19:10:31 upgrade_install.sh|File:/usr/local/bin/base_scripts/upgrade_install.sh:604, Function: main(), Upgrade Failed -- (1)|<LVL::Error>
10/31/2014 19:10:31 upgrade_install.sh|Parse argument status=upgrade.stage.error|<LVL::Debug>
10/31/2014 19:10:31 upgrade_install.sh|_set_upgrade_status_attribute: status set to upgrade.stage.error|<LVL::Debug>
10/31/2014 19:10:31 upgrade_install.sh|is_upgrade_lock_available: Upgrade lock is not available.|<LVL::Debug>
10/31/2014 19:10:31 upgrade_install.sh|is_upgrade_in_progress: Already locked by this process (pid: 10800).|<LVL::Debug>
10/31/2014 19:10:31 upgrade_install.sh|release_upgrade_lock: Releasing lock (pid: 10800)|<LVL::Debug>

Installation of UCSInstall_UCCX_10_5_1_UCOS_10.5.1.10000-24.sgn.iso failed

An error has occured but no messages are available.  This can happen when another administrator is working on the system at the same time and triggers an error.

 

When I try to cancel the upgrade, I got also an error:

admin:utils system upgrade cancel
Canceling the upgrade.  Please wait...

An error has occured but no messages are available.  This can happen when another administrator is working on the system at the same time and triggers an error.

Upgrade status: Failed
  Upgrade file: UCSInstall_UCCX_10_5_1_UCOS_10.5.1.10000-24.sgn.iso
   Upgrade log: install_log_2014-10-31.19.03.36.log

1 ACCEPTED SOLUTION

Accepted Solutions
Community Member

I received the same error on

I received the same error on a UCCX 9.0.2SU2 upgrade to 10.5.1SU1.  After cancelling out the upgrade and installing the COP file "ciscouccx.refresh_upgrade_v1.6.cop.sgn" the refresh upgrade was able to proceed without issue.

13 REPLIES

Hi, Have you try to install

Hi,

 

Have you try to install the cop file for the refresh upgrade?

 

Upgrade Scenario

Tasks

10.0.x to 10.5(1)

Single Node Setup:

  1. Apply COP File, so that when you upgrade later, the system can detect whether the upgrade is an RU or not.

 

I did an upgrade a few months ago and I installed the ciscouccx.refresh_upgrade_v1.3.cop file and worked fine.

Just keep in mind that there was a bug when you try to upgrade to 10.5. When you try to run the switch version command, the server never change the partition. I had to open a TAC case to handle some configuration as root user. I think the bug is the CSCup83263

 

HTH

Gabriel

Community Member

Hi Gabriel.I've installed the

Hi Gabriel.

I've installed the language pack cop file for UCCX 10.0(1). After that, the upgrade status was cleared and I tried again the upgrade, but with the same failing status :(

Thanks 

Community Member

hi

hi

i had the same issue when trying to upgrade CUCM from 9.1 to 10.5.2

when i try to install this COP file :ciscocm.refresh_upgrade_v1.5.cop.sgn 

i get as message that  the version 9.1 (2) dont require this file

any help please

regards 

Community Member

Hi Gabriel.Finally it worked

Hi Gabriel.

Finally it worked after installing  ciscouccx.refresh_upgrade_v1.6.cop.sgn

Thanks!!

Hi!Oh, didn´t know about a

Hi!

Oh, didn´t know about a newer version of the refresh upgrade cop. I'm glad that everything worked fine for you!

Gabriel.

Community Member

I have this problem too (UCCX

I have this problem too (UCCX 9.0.2SU2 upgrade to 10.5.1SU1). Trying the 1.6 cop. Is this documented anywhere?

 

 

Community Member

Hi Brian.You can find some

Hi Brian.

You can find some information at page 3 on this document:

http://www.cisco.com/c/en/us/support/docs/customer-collaboration/unified-contact-center-express/118099-technote-cucm-00.pdf

 

Community Member

I can't seem to find where it

I can't seem to find where it states requirement for the 1.6 cop file (or any cop file) as part of a 9.0(2)SU2 to 10.5.1SU1 scenario. Can you point out the snippet?

 

Thanks!

 

 

Community Member

Hi Brian.Here is the snippet:

Hi Brian.

Here is the snippet:

"As a result of the UCOS Release 10.0 migration in UCCX Release 10.5, a Refresh Upgrade is required in order to upgrade from a version of UCCX older than Release 10.5 to UCCX 10.5. Refresh upgrades require additional downtime and pre−installation tasks. Find instructions and expectations when you upgrade to UCCX Release 10.5 through the Refresh Upgrade process in the installation documentation."

The 1.6 cop file is the referred "refresh upgrade".

You can get it here:

https://software.cisco.com/download/release.html?mdfid=286265496&softwareid=280840578&release=10.5(1)SU1&flowid=70402

Community Member

Dear Gabriel

Dear Gabriel

I was lucky to find your post. I was also performing an upgrade from UCCX 9.0(2) to 10.5, but the error is because you must be update to 9.0 (2) SU1 , before. Then, so that the file ciscouccx.refresh_upgrade_v1.6.cop can be installed. Finally I performed the upgrade to 10.5. Thank you!

Cristian

Hi Cristian,

Hi Cristian,

Glad to  hear that!

Gabriel

Community Member

I received the same error on

I received the same error on a UCCX 9.0.2SU2 upgrade to 10.5.1SU1.  After cancelling out the upgrade and installing the COP file "ciscouccx.refresh_upgrade_v1.6.cop.sgn" the refresh upgrade was able to proceed without issue.

Bronze

I had the same problem. I did

I had the same problem. I did a step upgrade from UCCX 10.0.1 to 10.0.1SU1 but when I tried to go from 10.0.1SU1 to 10.5.1 the upgrade would fail after about 10 minutes. I contacted TAC and found out you need to use a COP file (ciscouccx.refresh_upgrade_v1.6.cop.sgn) when going from 10.0.1SU1 to 10.5.1 (which was not obvious from the documentation). When trying to install the COP file via CD/DVD (connected to the VM in ESXi) I got the message:

Unable to mount the local file system. This could be caused by a corrupt ISO file.

Then found out the COP file needs to be loaded using the SFTP option in the CLI, it doesn't work through the GUI. When I did that I was able to load the COP files. After loading the COP file on the UCCX Pub, I loaded it on the UCCX Sub, then rebooted the Pub and then rebooted the Sub. After that I was able to install 10.5.1 (using the GUI), load on Pub, load on Sub, then reboot pub, then reboot Sub.

Took a long time. Here's the general times for my upgrade on a small system:

Load COP file on Pub: 30 min

Load COP file on Sub: 30 min

Reboot Pub: 10 min

Reboot Sub: 10 min

Load 10.5.1 file on Pub: 3 hours

Load 10.5.1 file on Sub: 2 hours

Reboot to upgraded partition on Pub: 50 min

Reboot to upgraded partition on Sub: 50 min

 

 

3217
Views
15
Helpful
13
Replies
CreatePlease to create content